#!/usr/bin/env bash
RTLS_CENTRALISED_SERVICE_PREFIX=/usr/rtls/rtls-centralized-sitewise

## Create service file
if [ -e $RTLS_CENTRALISED_SERVICE_PREFIX/devops/sys-services/rtls-centralized-sitewise.service ]; then
  cp $RTLS_CENTRALISED_SERVICE_PREFIX/devops/sys-services/rtls-centralized-sitewise.service /usr/lib/systemd/system
  chmod 644 /usr/lib/systemd/system/rtls-centralized-sitewise.service
  chown ubuntu:ubuntu /usr/lib/systemd/system/rtls-centralized-sitewise.service
fi

cp $RTLS_CENTRALISED_SERVICE_PREFIX/apps/rtls-sitewise-portal/.env.development $RTLS_CENTRALISED_SERVICE_PREFIX/apps/rtls-sitewise-portal/.next/standalone/.env

systemctl enable rtls-centralized-sitewise

service rtls-centralized-sitewise start

exit 0
