#!/usr/bin/env bash

if sudo systemctl is-active --quiet rtls-centralized-sitewise; then
    echo "Stopping rtls-centralized-sitewise"
    sudo systemctl stop rtls-centralized-sitewise
else
    echo "rtls-centralized-sitewise is not active. No need to stop."
fi

if [ -e /usr/lib/systemd/system/rtls-centralized-sitewise.service ]]; then
  rm -rf /usr/lib/systemd/system/rtls-centralized-sitewise.service
fi
